Bug 261751 - [patch] Use the VersionFixedIn field in the Report Information dialog
Summary: [patch] Use the VersionFixedIn field in the Report Information dialog
Status: RESOLVED FIXED
Alias: None
Product: drkonqi
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Unlisted Binaries All
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Dario Andres
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-31 22:16 UTC by Dario Andres
Modified: 2011-04-29 15:39 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Proposed patch (1.59 KB, patch)
2010-12-31 22:16 UTC, Dario Andres
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dario Andres 2010-12-31 22:16:23 UTC
Created attachment 55429 [details]
Proposed patch

Version:           unspecified (using Devel) 
OS:                All

BugzillaLib already supported the versionfixedin field. Now that the string freeze is over we can show that information in the reports dialog.

I was wondering if we should also add some note or message saying something like "This bug is considered fixed as for version X.X.X, and you are using Y.Y.Y; check your versions". (but that may need some kind of smart version comparing algorithm; and also, the VersionFixedIn is not always a simple numeric value, it may contain other strings too, as it is a "free" field)

Attached a simple patch

Reproducible: Didn't try
Comment 1 George Kiagiadakis 2011-04-29 15:39:28 UTC
Git commit b38bbeb94432ee0ba7ee70602835b38289037108 by George Kiagiadakis, on behalf of Dario Andres Rodriguez.
Committed on 29/04/2011 at 15:28.
Pushed by gkiagia into branch 'master'.

Show "Version Fixed In" if available, for reports marked as FIXED.

REVIEW: 101200
BUG: 261751

M  +11   -2    drkonqi/reportassistantpages_bugzilla_duplicates.cpp     

http://commits.kde.org/kde-runtime/b38bbeb94432ee0ba7ee70602835b38289037108